# SimpleHttpFetcher.MyConnectionKeepAliveStrategy (Crawler-commons 0.7 API)
Date: 2016-11-21

crawlercommons.fetcher.http

## Class SimpleHttpFetcher.MyConnectionKeepAliveStrategy

- java.lang.Object
- - crawlercommons.fetcher.http.SimpleHttpFetcher.MyConnectionKeepAliveStrategy

All Implemented Interfaces:
  org.apache.http.conn.ConnectionKeepAliveStrategy

Enclosing class:
  SimpleHttpFetcher

    public static class SimpleHttpFetcher.MyConnectionKeepAliveStrategy
    extends Object
    implements org.apache.http.conn.ConnectionKeepAliveStrategy

### Constructor Summary

Constructors
Constructor and Description
`MyConnectionKeepAliveStrategy()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `getKeepAliveDuration(org.apache.http.HttpResponse response, org.apache.http.protocol.HttpContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MyConnectionKeepAliveStrategy

    public MyConnectionKeepAliveStrategy()

### Method Detail

#### getKeepAliveDuration

    public long getKeepAliveDuration(org.apache.http.HttpResponse response,
                                     org.apache.http.protocol.HttpContext context)

Specified by:
  `getKeepAliveDuration` in interface `org.apache.http.conn.ConnectionKeepAliveStrategy`